Что делать, если Synaptic не может получить последнюю версию программного обеспечения?

Я использую Synaptic для управления пакетами на Ubuntu 12, и в настоящее время я пытаюсь получить самую новую версию SWIG – 2.0.9. Мой 2.0.7-3ubuntu1 пакетный пакет в Synaptic – версия 2.0.7-3ubuntu1 . Я хотел бы иметь последнюю версию 2.0.9 , как я могу ее получить?

Лучший способ получить последнюю версию – получить ее прямо с сайта авторов.

Требуется время и энергия, чтобы превратить программное обеспечение в красивые пакеты Ubuntu. Иногда это может произойти некоторое время, прежде чем оно появится в репозиториях Ubuntu. Вы можете попробовать включить менее стабильные репозитории, такие как backports, но в этом случае SWIG 2.0.9 там не существует. Иногда есть неофициальные репозитории, но я не мог найти его из быстрого Google.

Есть несколько негативов к этому. В отличие от пакетов репозитория, программное обеспечение не будет автоматически самообновляться. Программное обеспечение не было протестировано разработчиками Ubuntu для обеспечения совместимости, поэтому может быть несколько сбоев. Наконец, иногда зависимости загружаются в программное обеспечение, поэтому загрузка вручную может быть больше, чем версия репозитория.

Новые версии Ubuntu выходят каждые шесть месяцев. В каждом выпуске Ubuntu новые версии программного обеспечения, которые добавляют новые функции, обычно не предоставляются . Вообще говоря, в одном выпуске Ubuntu развернуты только исправления безопасности и серьезной ошибки стабильности . Обновление до следующего выпуска обновляет программное обеспечение до версий, которые считались стабильными при выходе этой версии. Иногда вы можете использовать backports и PPA для получения более нового программного обеспечения в рамках одной версии, но, вообще говоря, если вам нужна последняя версия программы, вам, скорее всего, придется загружать исходный код и строить и устанавливать его самостоятельно (см. Также эту инструкцию ).